<?php
// show any kind or errors
error_reporting(E_ALL);
ini_set('display_errors', 1);

session_start();
$page_title = "LEVEL 2 - Display Facebook Photo Albums";

?>
<!DOCTYPE html>
<html lang="en">
<head>
 
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
 
    <title><?php echo $page_title; ?></title>
 
    <!-- Bootstrap CSS -->
	<link href="libs/js/bootstrap/dist/css/bootstrap.css" rel="stylesheet" media="screen">
	
	<!-- font awesome css -->
	<link rel="stylesheet" href="libs/css/font-awesome-4.4.0/css/font-awesome.min.css">
	
	<style>
	.vid-play-btn{
		position: absolute;
		top: 36%;
		right: 0;
		left: 0;
		margin: -64px auto 0;
		width: 128px;
		height: 128px;
		background: url(libs/js/Bootstrap-Image-Gallery-3.1.1/img/video-play.svg) center no-repeat;
		opacity: .8;
		cursor: pointer;
	}
	
	.blueimp-gallery>.title{
		top:initial;
		bottom:0;
		left:0;
		background-color:#141823;
		width:100%;
		font-size:16px;
		line-height:20px;
		padding:.5em;
	}
	
	.album-numbers{
		margin-right:1em;
	}
	
	.col-md-4{
		margin: 0 0 2em 0;
	}
	
	.photo-thumb{
		width:100%;
		height:200px;
		float:left; 
		border: thin solid #d1d1d1;
		margin:0 0 1em 0;
	}
	
	#last_item_loader{
		text-align:center; 
		display:block; 
		width:100%; 
		overflow:hidden; 
		margin:1em 0; 
		font-weight:bold;
	}
	
	.item_box{
		height:320px;
	}
	
	.blueimp-gallery>.prev, .blueimp-gallery>.next{
		border:none;
		background:none;
		border:none;
		opacity:1;
	}
	
	.display-none{
		display:none;
	}
	</style>
</head>
<body>
     
<!-- pre-load image loader -->
<img src="images/ajax-loader.gif" class="display-none" />

<div class="container">
	<div class="row">
		

<?php
	
	echo "<div class='col-md-12'>";
		echo "<h1 class='page-header'>{$page_title}</h1>";
		// include_once "notes_index.php";
	echo "</div>";
	
	$fb_page_id = isset($_GET['fb_page_id']) ? $_GET['fb_page_id'] : "221167777906963";
	$fields="id,name,description,link,cover_photo,count,likes.limit(0).summary(true),comments.limit(0).summary(true)";
	$limit="9";
	$access_token="231422600647340|FaQulGyn73yb-PH04axrSXhxgzs";
	
	$json_link = "https://graph.facebook.com/v2.3/{$fb_page_id}/albums?fields={$fields}&limit={$limit}&access_token={$access_token}";
	$json = file_get_contents($json_link);

	$obj = json_decode($json, true, 512, JSON_BIGINT_AS_STRING);
	
	$album_count = count($obj['data']);
	
	// get next page
	$next_page = isset($obj['paging']['next']) ? $obj['paging']['next'] : "";
	$_SESSION['NEXT_PAGE_PHOTO_ALBUMS_' . $fb_page_id]=$next_page;
	$_SESSION['SET_NUM_PHOTO_ALBUMS_' . $fb_page_id]=1;
	
	include_once 'albums_template.php';
	echo "<div id='last_item_loader' style='text-align:center;'></div>";
?>
		</div> <!-- end col-md-12 -->
	</div> <!-- end row -->
</div> <!-- end container -->
 
<!-- jQuery library -->
<script src="libs/js/jquery.js"></script>

<!-- bootstrap JavaScript -->
<script src="libs/js/bootstrap/dist/js/bootstrap.min.js"></script>
<script src="libs/js/bootstrap/docs-assets/js/holder.js"></script>
 
<!-- HTML5 Shiv and Respond.js IE8 support of HTML5 elements and media queries -->
<!-- WARNING: Respond.js doesn't work if you view the page via file:// -->
<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
<![endif]-->
 
<script>
function load_NextSet() {
	
	$('div#last_item_loader').html('<img src="images/ajax-loader.gif">');
	
	$.post("albums_more.php?fb_page_id=<?php echo $fb_page_id; ?>", function(data){
		if (data != "") {
			$(".item_box:last").after(data); 
		}
		
		if(data==""){
			$('div#last_item_loader').html("All photo albums were loaded.");
		}else{
			$('div#last_item_loader').empty();
		}
		
	});
}; 


$(document).ready(function(){

	$(window).scroll(function(){
		if ($(window).scrollTop() == $(document).height() - $(window).height()){
			if($('div#last_item_loader').text()==""){		
				load_NextSet();
			}
		}
	}); 
	
});
</script>

</body>
</html>