<?php 

if($first_load==false){
	include "libs/php/util.php";
	$util=new Util();
}

echo "<div id='links'>";

for($x=0; $x<$photo_count; $x++){
	
	// if your want to load the largest image size
	$source_large = isset($obj['data'][$x]['images'][0]['source']) ? $obj['data'][$x]['images'][0]['source'] : "";
	
	// default large image, if you want to use larger image, use the code above 
	// $source_large = isset($obj['data'][$x]['images'][1]['source']) ? $obj['data'][$x]['images'][1]['source'] : "";
	
	// source for thumbnail
	$source = isset($obj['data'][$x]['source']) ? $obj['data'][$x]['source'] : "";
	
	$name = isset($obj['data'][$x]['name']) ? $obj['data'][$x]['name'] : "No description.";
	$link = isset($obj['data'][$x]['link']) ? $obj['data'][$x]['link'] : "";
	$likes_count = isset($obj['data'][$x]['likes']['summary']['total_count']) 
					? $util->formatCount($obj['data'][$x]['likes']['summary']['total_count']) : "";
	$comments_count = isset($obj['data'][$x]['comments']['summary']['total_count']) 
					? $util->formatCount($obj['data'][$x]['comments']['summary']['total_count']) : "";
	
	$post_html_title="<span class='album-numbers'>"
				. "{$likes_count} <i class='fa fa-thumbs-o-up'></i>" 
			. "</span>"
			. "<span class='album-numbers'>"
				. "{$comments_count} <i class='fa fa-comments-o'></i>" 
			. "</span>"
			. "<span class='album-numbers'>"
				. "<a href='{$link}' target='_blank' title='View on Facebook'><i class='fa fa-facebook-official'></i></a>"
			. "</span>"
			. htmlentities($name);
				
	echo "<div class='col-md-4 col-sm-12 col-xs-12 item_box'>";
		echo "<a href=\"{$source_large}\" title=\"{$name}\" data-gallery>";
			echo "<div class='photo-thumb' title=\"{$name}\" style='background: url({$source}) 50% 50% no-repeat;'></div>";
		echo "</a>";
		echo "<div class='post-html-title'>{$post_html_title}</div>";
		echo "<span class='album-numbers' title='{$likes_count} Likes'>";
			echo "{$likes_count} <i class='fa fa-thumbs-o-up'></i>";
		echo "</span>";
		echo "<span class='album-numbers' title='{$comments_count} Comments'>";
			echo "{$comments_count} <i class='fa fa-comments-o'></i>";
		echo "</span>";
		echo "<a href='{$link}' target='_blank' title='View picture on Facebook'>";
			echo "<i class='fa fa-facebook-official'></i>";
		echo "</a>";
	echo "</div>";
}

echo "</div>";
?>